Index: TXM/trunk/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/EditionPanel.java
===================================================================
--- TXM/trunk/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/EditionPanel.java	(revision 3431)
+++ TXM/trunk/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/EditionPanel.java	(revision 3432)
@@ -19,8 +19,12 @@
 import org.eclipse.jface.viewers.ISelectionProvider;
 import org.eclipse.swt.SWT;
 import org.eclipse.swt.browser.Browser;
+import org.eclipse.swt.browser.LocationEvent;
+import org.eclipse.swt.browser.LocationListener;
 import org.eclipse.swt.browser.ProgressEvent;
 import org.eclipse.swt.browser.ProgressListener;
+import org.eclipse.swt.events.DisposeEvent;
+import org.eclipse.swt.events.DisposeListener;
 import org.eclipse.swt.events.KeyEvent;
 import org.eclipse.swt.events.KeyListener;
 import org.eclipse.swt.events.MenuEvent;
@@ -126,7 +130,7 @@
 			// "elt.style.paddingTop=\"1px\";" + //$NON-NLS-1$
 			// "elt.style.paddingBottom=\"1px\";" + //$NON-NLS-1$
 			"} catch (e) { };"; //$NON-NLS-1$
-			
+	
 	public static final String highlightscriptRuleFast = "sheet.insertRule(\"#%s {background-color:rgba(%s,%s,%s,%s);}\", 0);"; //$NON-NLS-1$
 	
 	public static final String colorscriptRuleFast = "sheet.insertRule(\"#%s {color:rgba(%s,%s,%s,%s);}\", 0);"; //$NON-NLS-1$
@@ -269,6 +273,10 @@
 	
 	private ArrayList<ProgressListener> afterHighlighListeners;
 	
+	private CommandLink cmdLink;
+	
+	private EditionLink editionLink;
+	
 	public ArrayList<ProgressListener> getAfterHighlighListeners() {
 		
 		return beforeHighlighListeners;
@@ -294,6 +302,7 @@
 		
 		if (Log.getLevel().intValue() <= Level.FINEST.intValue()) System.out.println(code);
 		try {
+			//System.out.println("EXECUTE: "+code.replace("\n", " RET ").subSequence(0, Math.min(200, code.length())));
 			return getBrowser().execute(code);
 		}
 		catch (Throwable e) {
@@ -327,6 +336,59 @@
 		beforeHighlighListeners = new ArrayList<>();
 		afterHighlighListeners = new ArrayList<>();
 		
+		//		this.browser.addLocationListener(new LocationListener() {
+		//			
+		//			@Override
+		//			public void changing(LocationEvent event) {
+		//				
+		//				// TODO Auto-generated method stub
+		//				
+		//			}
+		//			
+		//			@Override
+		//			public void changed(LocationEvent event) {
+		//				if (cmdLink != null) cmdLink.dispose();
+		//				if (editionLink != null) cmdLink.dispose();
+		//			}
+		//		});
+		
+		
+		this.addDisposeListener(new DisposeListener() { // clean the BrowserFunction s
+			
+			@Override
+			public void widgetDisposed(DisposeEvent e) {
+				//				System.out.println("dispose listener called");
+				if (cmdLink != null) cmdLink.dispose();
+				if (editionLink != null) editionLink.dispose();
+				browser.dispose();
+			}
+		});
+		
+		if (cmdLink == null) {
+			cmdLink = new CommandLink(synopticEditionEditor, browser);
+		}
+		if (editionLink == null) {
+			editionLink = new EditionLink(synopticEditionEditor, browser);
+		}
+		//		
+		//		browser.addLocationListener(new LocationListener() {
+		//			
+		//			@Override
+		//			public void changing(LocationEvent event) { }
+		//			
+		//			@Override
+		//			public void changed(LocationEvent event) { // need to update the BrowserFunctions when a page is 
+		//				if (cmdLink != null) {
+		//					cmdLink.dispose();
+		//				}
+		//				cmdLink = new CommandLink(synopticEditionEditor, browser);
+		//				if (editionLink != null) {
+		//					editionLink.dispose();
+		//				}
+		//				editionLink = new EditionLink(synopticEditionEditor, browser);
+		//			}
+		//		});
+		
 		progressListener = new ProgressListener() {
 			
 			@Override
@@ -335,15 +397,26 @@
 			@Override
 			public synchronized void completed(ProgressEvent event) {
 				
-				Object o = getBrowser().evaluate("return typeof " + CommandLink.FCT + ";");
+				Browser browser = getBrowser();
+				Object o = browser.evaluate("return typeof " + CommandLink.FCT + ";");
 				if ("undefined".equals(o)) {
-					new CommandLink(synopticEditionEditor, getBrowser());
+					if (cmdLink != null) {
+						cmdLink.dispose();
+					}
+					cmdLink = new CommandLink(synopticEditionEditor, browser);
+					//System.out.println("rebuild cmdLink");
 				}
-				o = getBrowser().evaluate("return typeof " + EditionLink.FCT + ";");
+				o = browser.evaluate("return typeof " + EditionLink.FCT + ";");
 				if ("undefined".equals(o)) {
-					new EditionLink(synopticEditionEditor, getBrowser());
+					if (editionLink != null) {
+						editionLink.dispose();
+					}
+					editionLink = new EditionLink(synopticEditionEditor, browser);
+					//System.out.println("rebuild editionLink");
 				}
 				
+				
+				
 				Object rez = evaluate("return typeof sheet;"); //$NON-NLS-1$
 				if ("undefined".equals(rez)) { //$NON-NLS-1$
 					Object loadResult = evaluate(functions);
@@ -432,10 +505,10 @@
 							// s = String.format(highlightscriptRule, wordid, composite.r, composite.g, composite.b, composite.a);
 							s = "try { document.getElementById(\"" + wordid + "\").style.backgroundColor=\"rgba(" + composite.r + "," + composite.g + "," + composite.b + "," + composite.a + ")\";" //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$ //$NON-NLS-6$
 									+
-							// "elt.style.paddingLeft=\"3px\";" + //$NON-NLS-1$
-							// "elt.style.paddingRight=\"3px\";" + //$NON-NLS-1$
-							// "elt.style.paddingTop=\"1px\";" + //$NON-NLS-1$
-							// "elt.style.paddingBottom=\"1px\";" + //$NON-NLS-1$
+									// "elt.style.paddingLeft=\"3px\";" + //$NON-NLS-1$
+									// "elt.style.paddingRight=\"3px\";" + //$NON-NLS-1$
+									// "elt.style.paddingTop=\"1px\";" + //$NON-NLS-1$
+									// "elt.style.paddingBottom=\"1px\";" + //$NON-NLS-1$
 									"} catch (e) { };"; //$NON-NLS-1$
 						}
 						else {
@@ -516,10 +589,10 @@
 						// s = String.format(highlightscriptRule, wordid, composite.r, composite.g, composite.b, composite.a);
 						s = "try { document.getElementById(\"" + wordid + "\").style.fontWeight=\"" + fontWeightPerWordIDS.get(wordid) + "\";" //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 								+
-						// "elt.style.paddingLeft=\"3px\";" + //$NON-NLS-1$
-						// "elt.style.paddingRight=\"3px\";" + //$NON-NLS-1$
-						// "elt.style.paddingTop=\"1px\";" + //$NON-NLS-1$
-						// "elt.style.paddingBottom=\"1px\";" + //$NON-NLS-1$
+								// "elt.style.paddingLeft=\"3px\";" + //$NON-NLS-1$
+								// "elt.style.paddingRight=\"3px\";" + //$NON-NLS-1$
+								// "elt.style.paddingTop=\"1px\";" + //$NON-NLS-1$
+								// "elt.style.paddingBottom=\"1px\";" + //$NON-NLS-1$
 								"} catch (e) { };"; //$NON-NLS-1$
 						// s = String.format(highlightscriptRule, wordid, composite.r, composite.g, composite.b, composite.a);
 						// s = "try { var elt = document.getElementById(\"" + wordid + "\");" + //$NON-NLS-1$ //$NON-NLS-2$
@@ -558,7 +631,7 @@
 				}
 				
 				if (buffer.length() > 0) {
-				//Object rez2 = execute(buffer.toString());
+					//Object rez2 = execute(buffer.toString());
 					if (execute(buffer.toString())) {
 						focusedWordID = null; // focus one time
 					}
@@ -1160,23 +1233,35 @@
 	// this.currentEdition = edition;
 	// }
 	
-	static String SCRIPT01 = 
+	String EMPTYSELECTIONTEST =
+			"if (typeof window.getSelection != \"undefined\") {" + // modern Web browsers //$NON-NLS-1$
+					"var sel = window.getSelection();" + //$NON-NLS-1$
+					"return sel.rangeCount == 0" + //$NON-NLS-1$
+					"} else if (typeof document.selection != \"undefined\") {" + // for IE < 11 //$NON-NLS-1$
+					"if (document.selection.type == \"Text\") {" + //$NON-NLS-1$
+					"return document.selection.createRange().htmlText.length() == 0;" + //$NON-NLS-1$
+					"}" + //$NON-NLS-1$
+					"}" + //$NON-NLS-1$
+					"return false"; //$NON-NLS-1$
+	
+	String SCRIPT01 = 
 			"var html = \"\";" + //$NON-NLS-1$
-			"if (typeof window.getSelection != \"undefined\") {" + // modern Web browsers //$NON-NLS-1$
-				"var sel = window.getSelection();" + //$NON-NLS-1$
-				"if (sel.rangeCount) {" + //$NON-NLS-1$
+					"if (typeof window.getSelection != \"undefined\") {" + // modern Web browsers //$NON-NLS-1$
+					"var sel = window.getSelection();" + //$NON-NLS-1$
+					"if (sel.rangeCount) {" + //$NON-NLS-1$
 					"var container = document.createElement(\"div\");" + //$NON-NLS-1$
 					"for (var i = 0, len = sel.rangeCount; i < len; ++i) {" + //$NON-NLS-1$
-						"container.appendChild(sel.getRangeAt(i).cloneContents());" + //$NON-NLS-1$
+					"container.appendChild(sel.getRangeAt(i).cloneContents());" + //$NON-NLS-1$
 					"}" + //$NON-NLS-1$
 					"html = container.innerHTML;" + //$NON-NLS-1$
-				"}" + //$NON-NLS-1$
-			"} else if (typeof document.selection != \"undefined\") {" + // for IE < 11 //$NON-NLS-1$
-				"if (document.selection.type == \"Text\") {" + //$NON-NLS-1$
+					"container.remove()" +
+					"}" + //$NON-NLS-1$
+					"} else if (typeof document.selection != \"undefined\") {" + // for IE < 11 //$NON-NLS-1$
+					"if (document.selection.type == \"Text\") {" + //$NON-NLS-1$
 					"html = document.selection.createRange().htmlText;" + //$NON-NLS-1$
-				"}" + //$NON-NLS-1$
-			"}" + //$NON-NLS-1$
-			"return html"; //$NON-NLS-1$
+					"}" + //$NON-NLS-1$
+					"}" + //$NON-NLS-1$
+					"return html"; //$NON-NLS-1$
 	
 	public String getTextSelectionDOM() {
 		
@@ -1225,7 +1310,7 @@
 				+ "\n}" //$NON-NLS-1$
 				// +"alert('result='+all)"
 				+ "\nreturn all;"; //$NON-NLS-1$
-				
+		
 		// System.out.println(functions);
 		// System.out.println(SCRIPT02_getspans);
 		
@@ -1253,6 +1338,10 @@
 		}
 	}
 	
+	public boolean isTextSelectionEmpty() {
+		return browser.evaluate(EMPTYSELECTIONTEST).equals(true);
+	}
+	
 	public String getTextSelection() {
 		
 		// System.out.println("DOM="+getTextSelectionDOM());
@@ -1458,7 +1547,9 @@
 					@Override
 					public boolean isEmpty() {
 						if (EditionPanel.this.isDisposed()) return true;
-						return EditionPanel.this.getTextSelection().length() == 0;
+						boolean r = EditionPanel.this.getTextSelection().length() == 0; // EditionPanel.this.isTextSelectionEmpty();
+						//System.out.println("EMPTY? "+r);
+						return r;
 					}
 					
 					@Override
@@ -1565,7 +1656,7 @@
 				+ "sel.addRange(range);\n" //$NON-NLS-1$
 				+ "\n" //$NON-NLS-1$
 				+ "return null;"; //$NON-NLS-1$
-				
+		
 		// System.out.println("Eval...\n"+SCRIPT02_expand);
 		evaluate(SCRIPT02_expand);
 		return;
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/CommandLink.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/CommandLink.java	(revision 3431)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/CommandLink.java	(revision 3432)
@@ -11,6 +11,8 @@
 import org.eclipse.osgi.util.NLS;
 import org.eclipse.swt.browser.Browser;
 import org.eclipse.swt.browser.BrowserFunction;
+import org.eclipse.swt.browser.LocationEvent;
+import org.eclipse.swt.browser.LocationListener;
 import org.eclipse.ui.IEditorPart;
 import org.eclipse.ui.IWorkbenchWindow;
 import org.eclipse.ui.PlatformUI;
@@ -42,14 +44,14 @@
 	
 	@Override
 	public synchronized Object function(Object[] arguments) {
-		
+		//System.out.println("CALL: "+Arrays.toString(arguments));
 		Log.finer("txmcommand() called: "+Arrays.toString(arguments));
 		if (editor != null) {
 			try { // TODO add option (or another browser command) to not force activated editor
 				editor.getSite().getPage().activate(editor);
 			}
 			catch (Exception e) {
-				System.out.println(e);
+				Log.printStackTrace(e);
 			}
 		}
 		ret = null;
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java	(revision 3431)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java	(revision 3432)
@@ -335,8 +335,8 @@
 			public void partActivated(IWorkbenchPartReference partRef) {
 				
 				// FIXME: SJ: why? when opening a new Editor the view will be refreshed twice...
-				//CorporaView.refresh();
-			}
+				CorporaView.refresh(); // this will refreshed the view selected element (this editor's result)
+			} 
 			
 			@Override
 			public void partBroughtToTop(IWorkbenchPartReference partRef) {}
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMBrowserEditor.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMBrowserEditor.java	(revision 3431)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMBrowserEditor.java	(revision 3432)
@@ -27,20 +27,32 @@
 //
 package org.txm.rcp.editors;
 
+import java.io.File;
+
 import org.eclipse.jface.action.MenuManager;
 import org.eclipse.jface.text.ITextSelection;
 import org.eclipse.jface.viewers.ISelection;
 import org.eclipse.jface.viewers.ISelectionChangedListener;
 import org.eclipse.jface.viewers.ISelectionProvider;
+import org.eclipse.swt.SWT;
 import org.eclipse.swt.browser.Browser;
 import org.eclipse.swt.browser.ProgressEvent;
 import org.eclipse.swt.browser.ProgressListener;
+import org.eclipse.swt.events.DisposeEvent;
+import org.eclipse.swt.events.DisposeListener;
+import org.eclipse.swt.events.MenuEvent;
+import org.eclipse.swt.events.MenuListener;
+import org.eclipse.swt.events.SelectionEvent;
+import org.eclipse.swt.events.SelectionListener;
 import org.eclipse.swt.graphics.Image;
 import org.eclipse.swt.widgets.Composite;
 import org.eclipse.swt.widgets.Menu;
+import org.eclipse.swt.widgets.MenuItem;
 import org.eclipse.ui.internal.browser.BrowserViewer;
 import org.eclipse.ui.internal.browser.WebBrowserEditor;
+import org.txm.rcp.commands.ShowSelected;
 import org.txm.rcp.messages.TXMUIMessages;
+import org.txm.rcp.utils.IOClipboard;
 
 /**
  * Call the internal browser of RCP specialized for TXM editions.
@@ -53,7 +65,7 @@
 	
 	/** The Constant ID. */
 	public final static String ID = TXMBrowserEditor.class.getName(); //$NON-NLS-1$
-
+	
 	/**
 	 * Instantiates a new TXM browser.
 	 */
@@ -83,6 +95,8 @@
 	
 	CommandLink cmdLink;
 	
+	private MenuManager menuManager;
+	
 	/**
 	 * 
 	 * @param wordids2 all the words to highlight
@@ -98,199 +112,319 @@
 			
 			@Override
 			public void completed(ProgressEvent event) {
-				cmdLink = new CommandLink(TXMBrowserEditor.this, TXMBrowserEditor.this.getBrowser());
+				
+				Object o = TXMBrowserEditor.this.getBrowser().evaluate("return typeof " + CommandLink.FCT + ";");
+				if ("undefined".equals(o)) {
+					if (cmdLink != null) {
+						cmdLink.dispose();
+					}
+					cmdLink = new CommandLink(TXMBrowserEditor.this, TXMBrowserEditor.this.getBrowser());
+				}
 			}
 		};
 		getBrowser().addProgressListener(progresslistener);
+	}
+	
+	public void initMenu() {
 		
+		// create a new menu
+		menuManager = new MenuManager();
+		
+		Menu menu = menuManager.createContextMenu(this.getBrowser());
+		
+		menu.addMenuListener(new MenuListener() {
+			
+			@Override
+			public void menuShown(MenuEvent e) {
+				
+				Menu menu = menuManager.getMenu();
+				if (menu == null) return;
+				new MenuItem(menu, SWT.SEPARATOR);
+				
+				MenuItem copyItem = new MenuItem(menu, SWT.NONE);
+				copyItem.setText("Copy");
+				copyItem.addSelectionListener(new SelectionListener() {
+					
+					@Override
+					public void widgetSelected(SelectionEvent e) {
+						
+						String text = TXMBrowserEditor.this.getTextSelection();
+						if (text != null && text.length() > 0) {
+							IOClipboard.write(text);
+						}
+					}
+					
+					@Override
+					public void widgetDefaultSelected(SelectionEvent e) {}
+				});
+				String text = TXMBrowserEditor.this.getTextSelection();
+				copyItem.setEnabled(text != null && text.length() > 0);
+				
+				MenuItem reloadItem = new MenuItem(menu, SWT.NONE);
+				reloadItem.setText("Reload");
+				reloadItem.addSelectionListener(new SelectionListener() {
+					
+					@Override
+					public void widgetSelected(SelectionEvent e) {
+						
+						TXMBrowserEditor.this.getBrowser().refresh();
+					}
+					
+					@Override
+					public void widgetDefaultSelected(SelectionEvent e) {}
+				});
+				MenuItem backItem = new MenuItem(menu, SWT.NONE);
+				backItem.setText("Back");
+				backItem.addSelectionListener(new SelectionListener() {
+					
+					@Override
+					public void widgetSelected(SelectionEvent e) {
+						
+						TXMBrowserEditor.this.getBrowser().back();
+					}
+					
+					@Override
+					public void widgetDefaultSelected(SelectionEvent e) {}
+				});
+				MenuItem forwardItem = new MenuItem(menu, SWT.NONE);
+				forwardItem.setText("Forward");
+				forwardItem.addSelectionListener(new SelectionListener() {
+					
+					@Override
+					public void widgetSelected(SelectionEvent e) {
+						
+						TXMBrowserEditor.this.getBrowser().forward();
+					}
+					
+					@Override
+					public void widgetDefaultSelected(SelectionEvent e) {}
+				});
+				
+				MenuItem propertiesItem = new MenuItem(menu, SWT.NONE);
+				propertiesItem.setText("Properties");
+				propertiesItem.addSelectionListener(new SelectionListener() {
+					
+					@Override
+					public void widgetSelected(SelectionEvent e) {
+						
+						ShowSelected.print(new File(TXMBrowserEditor.this.getBrowser().getUrl()));
+					}
+					
+					@Override
+					public void widgetDefaultSelected(SelectionEvent e) {}
+				});
+			}
+			
+			@Override
+			public void menuHidden(MenuEvent e) {
+				// TODO Auto-generated method stub
+			}
+		});
+		// // restore old listeners
+		// Menu origMenu = this.browser.getMenu();
+		// if (origMenu != null) {
+		// if (origMenu.getListeners(SWT.Hide) != null)
+		// for (Listener listener : origMenu.getListeners(SWT.Hide)) menu.addListener(SWT.Hide, listener);
+		// if (origMenu.getListeners(SWT.Show) != null)
+		// for (Listener listener : origMenu.getListeners(SWT.Show)) menu.addListener(SWT.Show, listener);
+		// for (MenuItem origItem : origMenu.getItems()) { // restore old menu items
+		// MenuItem item = new MenuItem(menu, origItem.getStyle());
+		// item.setText(origItem.getText());
+		// item.setImage(origItem.getImage());
+		// if (origItem.getListeners(SWT.Selection) != null && origItem.getListeners(SWT.Selection).length > 0)
+		// item.addListener(SWT.Selection, origItem.getListeners(SWT.Selection)[0]);
+		// }
+		// }
+		// replace the menu
+		this.getBrowser().setMenu(menu);
 	}
 	
-//	/**
-//	 * Sets the edition.
-//	 *
-//	 * @param edition the new edition
-//	 */
-//	public void setEdition(Edition edition) {
-//		this.edition = edition;
-//	}
+	//	/**
+	//	 * Sets the edition.
+	//	 *
+	//	 * @param edition the new edition
+	//	 */
+	//	public void setEdition(Edition edition) {
+	//		this.edition = edition;
+	//	}
 	
-//	/**
-//	 * Make page label.
-//	 *
-//	 * @return the string
-//	 */
-//	public String makePageLabel() {
-//		return currentPage.getName()
-//				+ " / " + currentPage.getEdition().getNumPages(); //$NON-NLS-1$
-//	}
-//	
-//	/**
-//	 * Show page.
-//	 *
-//	 * @param page the page
-//	 */
-//	public void showPage(Page page) {
-//		edition = page.getEdition();
-//		currentPage = page;
-//		this.webBrowser.setURL(currentPage.toURL());
-//		page_label.setText(makePageLabel());
-//	}
+	//	/**
+	//	 * Make page label.
+	//	 *
+	//	 * @return the string
+	//	 */
+	//	public String makePageLabel() {
+	//		return currentPage.getName()
+	//				+ " / " + currentPage.getEdition().getNumPages(); //$NON-NLS-1$
+	//	}
+	//	
+	//	/**
+	//	 * Show page.
+	//	 *
+	//	 * @param page the page
+	//	 */
+	//	public void showPage(Page page) {
+	//		edition = page.getEdition();
+	//		currentPage = page;
+	//		this.webBrowser.setURL(currentPage.toURL());
+	//		page_label.setText(makePageLabel());
+	//	}
 	
-//	/**
-//	 * First text.
-//	 */
-//	public void firstText() {
-//		Text current = this.currentPage.getEdition().getText();
-//		Project corpus = current.getProject();
-//		Text firstText = corpus.getFirstText();
-//		
-//		if (firstText != null) {
-//			String editionName = corpus.getDefaultEditionName();
-//			currentPage = firstText.getEdition(editionName).getFirstPage();
-//			if (currentPage == null) {
-//				StatusLine.setMessage(TXMUIMessages.noPreviousText);
-//				return;
-//			}
-//			this.setEdition(firstText.getEdition(editionName));
-//			this.webBrowser.setURL(currentPage.toURL());
-//			page_label.setText(makePageLabel());
-//		}
-//	}
-//	
-//	/**
-//	 * Last text.
-//	 */
-//	public void lastText() {
-//		Text current = this.currentPage.getEdition().getText();
-//		Project b = current.getProject();
-//		Text lastText = b.getLastText();
-//		
-//		if (lastText != null) {
-//			currentPage = lastText.getEdition(b.getDefaultEditionName()).getFirstPage();
-//			if (currentPage == null) {
-//				StatusLine.setMessage(TXMUIMessages.noTextNext);
-//				return;
-//			}
-//			this.setEdition(lastText.getEdition(b.getDefaultEditionName()));
-//			this.webBrowser.setURL(currentPage.toURL());
-//			page_label.setText(makePageLabel());
-//		}
-//	}
-//	
-//	/**
-//	 * First page.
-//	 */
-//	public void firstPage() {
-//		// System.out.println(Messages.TxmBrowser_1+currentPage);
-//		currentPage = edition.getFirstPage();
-//		this.webBrowser.setURL(currentPage.toURL());
-//		page_label.setText(makePageLabel());
-//	}
-//	
-//	/**
-//	 * Last page.
-//	 */
-//	public void lastPage() {
-//		// System.out.println(Messages.TxmBrowser_2+currentPage);
-//		
-//		if (currentPage != null && currentPage.getFile().equals(edition.getLastPage().getFile()))
-//			return;
-//		currentPage = edition.getLastPage();
-//		this.webBrowser.setURL(currentPage.toURL());
-//		page_label.setText(makePageLabel());
-//	}
-//	
-//	/**
-//	 * Previous page.
-//	 */
-//	public void previousPage() {
-//		// System.out.println(Messages.TxmBrowser_3+currentPage);
-//		if (currentPage != null) {
-//			Page previous = edition.getPreviousPage(currentPage);
-//			if (previous == currentPage) {
-//				previousText(true);
-//			}
-//			else {
-//				currentPage = previous;
-//				this.webBrowser.setURL(currentPage.toURL());
-//			}
-//		}
-//		else
-//			firstPage();
-//		page_label.setText(makePageLabel());
-//	}
-//	
-//	/**
-//	 * Next page.
-//	 */
-//	public void nextPage() {
-//		// System.out.println(Messages.TxmBrowser_4+currentPage);
-//		if (currentPage != null) {
-//			Page next = edition.getNextPage(currentPage);
-//			if (currentPage == next) {
-//				nextText();
-//			}
-//			else {
-//				currentPage = next;
-//				this.webBrowser.setURL(currentPage.toURL());
-//			}
-//			
-//		}
-//		else
-//			firstPage();
-//		page_label.setText(makePageLabel());
-//	}
-//	
-//	/**
-//	 * Previous text.
-//	 * 
-//	 * @param fromNextText
-//	 */
-//	public void previousText(boolean fromNextText) {
-//		
-//		Text current = this.currentPage.getEdition().getText();
-//		Project corpus = current.getProject();
-//		Text previousText = corpus.getPreviousText(current);
-//		
-//		if (previousText != null) {
-//			String editionName = corpus.getDefaultEditionName();
-//			if (fromNextText) {
-//				currentPage = previousText.getEdition(editionName).getLastPage();
-//			}
-//			else {
-//				currentPage = previousText.getEdition(editionName).getFirstPage();
-//			}
-//			if (currentPage == null) {
-//				StatusLine.setMessage(TXMUIMessages.noPreviousText);
-//				return;
-//			}
-//			this.setEdition(previousText.getEdition(editionName));
-//			this.webBrowser.setURL(currentPage.toURL());
-//			page_label.setText(makePageLabel());
-//		}
-//		// System.out.println("Previous texts "+previousText);
-//	}
-//	
-//	/**
-//	 * Next text.
-//	 */
-//	public void nextText() {
-//		Text current = this.currentPage.getEdition().getText();
-//		Project b = current.getProject();
-//		Text nextText = b.getNextText(current);
-//		
-//		if (nextText != null) {
-//			currentPage = nextText.getEdition(b.getDefaultEditionName()).getFirstPage();
-//			if (currentPage == null) {
-//				StatusLine.setMessage(TXMUIMessages.noTextNext);
-//				return;
-//			}
-//			this.setEdition(nextText.getEdition(b.getDefaultEditionName()));
-//			this.webBrowser.setURL(currentPage.toURL());
-//			page_label.setText(makePageLabel());
-//		}
-//		// System.out.println("Next texts "+nextText);
-//	}
+	//	/**
+	//	 * First text.
+	//	 */
+	//	public void firstText() {
+	//		Text current = this.currentPage.getEdition().getText();
+	//		Project corpus = current.getProject();
+	//		Text firstText = corpus.getFirstText();
+	//		
+	//		if (firstText != null) {
+	//			String editionName = corpus.getDefaultEditionName();
+	//			currentPage = firstText.getEdition(editionName).getFirstPage();
+	//			if (currentPage == null) {
+	//				StatusLine.setMessage(TXMUIMessages.noPreviousText);
+	//				return;
+	//			}
+	//			this.setEdition(firstText.getEdition(editionName));
+	//			this.webBrowser.setURL(currentPage.toURL());
+	//			page_label.setText(makePageLabel());
+	//		}
+	//	}
+	//	
+	//	/**
+	//	 * Last text.
+	//	 */
+	//	public void lastText() {
+	//		Text current = this.currentPage.getEdition().getText();
+	//		Project b = current.getProject();
+	//		Text lastText = b.getLastText();
+	//		
+	//		if (lastText != null) {
+	//			currentPage = lastText.getEdition(b.getDefaultEditionName()).getFirstPage();
+	//			if (currentPage == null) {
+	//				StatusLine.setMessage(TXMUIMessages.noTextNext);
+	//				return;
+	//			}
+	//			this.setEdition(lastText.getEdition(b.getDefaultEditionName()));
+	//			this.webBrowser.setURL(currentPage.toURL());
+	//			page_label.setText(makePageLabel());
+	//		}
+	//	}
+	//	
+	//	/**
+	//	 * First page.
+	//	 */
+	//	public void firstPage() {
+	//		// System.out.println(Messages.TxmBrowser_1+currentPage);
+	//		currentPage = edition.getFirstPage();
+	//		this.webBrowser.setURL(currentPage.toURL());
+	//		page_label.setText(makePageLabel());
+	//	}
+	//	
+	//	/**
+	//	 * Last page.
+	//	 */
+	//	public void lastPage() {
+	//		// System.out.println(Messages.TxmBrowser_2+currentPage);
+	//		
+	//		if (currentPage != null && currentPage.getFile().equals(edition.getLastPage().getFile()))
+	//			return;
+	//		currentPage = edition.getLastPage();
+	//		this.webBrowser.setURL(currentPage.toURL());
+	//		page_label.setText(makePageLabel());
+	//	}
+	//	
+	//	/**
+	//	 * Previous page.
+	//	 */
+	//	public void previousPage() {
+	//		// System.out.println(Messages.TxmBrowser_3+currentPage);
+	//		if (currentPage != null) {
+	//			Page previous = edition.getPreviousPage(currentPage);
+	//			if (previous == currentPage) {
+	//				previousText(true);
+	//			}
+	//			else {
+	//				currentPage = previous;
+	//				this.webBrowser.setURL(currentPage.toURL());
+	//			}
+	//		}
+	//		else
+	//			firstPage();
+	//		page_label.setText(makePageLabel());
+	//	}
+	//	
+	//	/**
+	//	 * Next page.
+	//	 */
+	//	public void nextPage() {
+	//		// System.out.println(Messages.TxmBrowser_4+currentPage);
+	//		if (currentPage != null) {
+	//			Page next = edition.getNextPage(currentPage);
+	//			if (currentPage == next) {
+	//				nextText();
+	//			}
+	//			else {
+	//				currentPage = next;
+	//				this.webBrowser.setURL(currentPage.toURL());
+	//			}
+	//			
+	//		}
+	//		else
+	//			firstPage();
+	//		page_label.setText(makePageLabel());
+	//	}
+	//	
+	//	/**
+	//	 * Previous text.
+	//	 * 
+	//	 * @param fromNextText
+	//	 */
+	//	public void previousText(boolean fromNextText) {
+	//		
+	//		Text current = this.currentPage.getEdition().getText();
+	//		Project corpus = current.getProject();
+	//		Text previousText = corpus.getPreviousText(current);
+	//		
+	//		if (previousText != null) {
+	//			String editionName = corpus.getDefaultEditionName();
+	//			if (fromNextText) {
+	//				currentPage = previousText.getEdition(editionName).getLastPage();
+	//			}
+	//			else {
+	//				currentPage = previousText.getEdition(editionName).getFirstPage();
+	//			}
+	//			if (currentPage == null) {
+	//				StatusLine.setMessage(TXMUIMessages.noPreviousText);
+	//				return;
+	//			}
+	//			this.setEdition(previousText.getEdition(editionName));
+	//			this.webBrowser.setURL(currentPage.toURL());
+	//			page_label.setText(makePageLabel());
+	//		}
+	//		// System.out.println("Previous texts "+previousText);
+	//	}
+	//	
+	//	/**
+	//	 * Next text.
+	//	 */
+	//	public void nextText() {
+	//		Text current = this.currentPage.getEdition().getText();
+	//		Project b = current.getProject();
+	//		Text nextText = b.getNextText(current);
+	//		
+	//		if (nextText != null) {
+	//			currentPage = nextText.getEdition(b.getDefaultEditionName()).getFirstPage();
+	//			if (currentPage == null) {
+	//				StatusLine.setMessage(TXMUIMessages.noTextNext);
+	//				return;
+	//			}
+	//			this.setEdition(nextText.getEdition(b.getDefaultEditionName()));
+	//			this.webBrowser.setURL(currentPage.toURL());
+	//			page_label.setText(makePageLabel());
+	//		}
+	//		// System.out.println("Next texts "+nextText);
+	//	}
 	
 	/*
 	 * (non-Javadoc)
@@ -300,194 +434,209 @@
 	public void createPartControl(Composite parent) {
 		try {
 			super.createPartControl(parent);
+			
+			cmdLink = new CommandLink(TXMBrowserEditor.this, TXMBrowserEditor.this.getBrowser());
+			
+			parent.addDisposeListener(new DisposeListener() {
+				
+				@Override
+				public void widgetDisposed(DisposeEvent e) {
+					
+					cmdLink.dispose();
+				}
+			});
+			
 		}
 		catch (Exception e) {
 			System.err.println(TXMUIMessages.couldNotLaunchTheInternalWebBrowserYouMustSetThatParameterInThePreferencesMenuColonGeneralSupWebNavigator);
 			return;
 		}
 		
-//		RowLayout navigLayout = new RowLayout(SWT.HORIZONTAL);
-//		navigLayout.justify = true;
-//		Composite panneau = new Composite(parent, SWT.NONE);
-//		panneau.setLayout(navigLayout);
-//		
-//		RowLayout subLayout = new RowLayout(SWT.HORIZONTAL);
-//		subLayout.pack = true;
-//		subLayout.center = true;
-//		subLayout.marginBottom = subLayout.marginHeight = 0;
-//		subLayout.marginTop = subLayout.marginWidth = 0;
-//		Composite subPanneau = new Composite(panneau, SWT.NONE);
-//		subPanneau.setLayout(subLayout);
-//		subPanneau.setLayoutData(new RowData(450, 22));
-//		
-//		Button firstText = new Button(subPanneau, SWT.FLAT);
-//		Button previousText = new Button(subPanneau, SWT.FLAT);
-//		Button first = new Button(subPanneau, SWT.FLAT | SWT.PUSH);
-//		Button previous = new Button(subPanneau, SWT.FLAT | SWT.PUSH);
-//		page_label = new Label(subPanneau, SWT.NONE);
-//		Button next = new Button(subPanneau, SWT.FLAT | SWT.PUSH);
-//		Button last = new Button(subPanneau, SWT.FLAT | SWT.PUSH);
-//		Button nextText = new Button(subPanneau, SWT.FLAT | SWT.PUSH);
-//		Button lastText = new Button(subPanneau, SWT.FLAT | SWT.PUSH);
-//		
-//		// set sizes
-//		page_label.setLayoutData(new RowData(50, 20));
-//		firstText.setLayoutData(new RowData(30, 20));
-//		first.setLayoutData(new RowData(30, 20));
-//		previous.setLayoutData(new RowData(30, 20));
-//		next.setLayoutData(new RowData(30, 20));
-//		last.setLayoutData(new RowData(30, 20));
-//		nextText.setLayoutData(new RowData(30, 20));
-//		previousText.setLayoutData(new RowData(30, 20));
-//		lastText.setLayoutData(new RowData(30, 20));
+		//		RowLayout navigLayout = new RowLayout(SWT.HORIZONTAL);
+		//		navigLayout.justify = true;
+		//		Composite panneau = new Composite(parent, SWT.NONE);
+		//		panneau.setLayout(navigLayout);
+		//		
+		//		RowLayout subLayout = new RowLayout(SWT.HORIZONTAL);
+		//		subLayout.pack = true;
+		//		subLayout.center = true;
+		//		subLayout.marginBottom = subLayout.marginHeight = 0;
+		//		subLayout.marginTop = subLayout.marginWidth = 0;
+		//		Composite subPanneau = new Composite(panneau, SWT.NONE);
+		//		subPanneau.setLayout(subLayout);
+		//		subPanneau.setLayoutData(new RowData(450, 22));
+		//		
+		//		Button firstText = new Button(subPanneau, SWT.FLAT);
+		//		Button previousText = new Button(subPanneau, SWT.FLAT);
+		//		Button first = new Button(subPanneau, SWT.FLAT | SWT.PUSH);
+		//		Button previous = new Button(subPanneau, SWT.FLAT | SWT.PUSH);
+		//		page_label = new Label(subPanneau, SWT.NONE);
+		//		Button next = new Button(subPanneau, SWT.FLAT | SWT.PUSH);
+		//		Button last = new Button(subPanneau, SWT.FLAT | SWT.PUSH);
+		//		Button nextText = new Button(subPanneau, SWT.FLAT | SWT.PUSH);
+		//		Button lastText = new Button(subPanneau, SWT.FLAT | SWT.PUSH);
+		//		
+		//		// set sizes
+		//		page_label.setLayoutData(new RowData(50, 20));
+		//		firstText.setLayoutData(new RowData(30, 20));
+		//		first.setLayoutData(new RowData(30, 20));
+		//		previous.setLayoutData(new RowData(30, 20));
+		//		next.setLayoutData(new RowData(30, 20));
+		//		last.setLayoutData(new RowData(30, 20));
+		//		nextText.setLayoutData(new RowData(30, 20));
+		//		previousText.setLayoutData(new RowData(30, 20));
+		//		lastText.setLayoutData(new RowData(30, 20));
 		
 		
-//		// set labels
-//		page_label.setText(""); //$NON-NLS-1$
-//		firstText.setImage(IImageKeys.getImage(IImageKeys.CTRLREWINDSTART));
-//		firstText.setToolTipText("|<<");
-//		previousText.setImage(IImageKeys.getImage(IImageKeys.CTRLREWIND));
-//		previousText.setToolTipText(TXMUIMessages.previousText);
-//		first.setImage(IImageKeys.getImage(IImageKeys.CTRLSTART));
-//		first.setToolTipText(TXMUIMessages.common_beginning);
-//		previous.setImage(IImageKeys.getImage(IImageKeys.CTRLREVERSE));
-//		previous.setToolTipText(TXMUIMessages.previousPage);
-//		next.setImage(IImageKeys.getImage(IImageKeys.CTRLPLAY));
-//		next.setToolTipText(TXMUIMessages.nextPage);
-//		last.setImage(IImageKeys.getImage(IImageKeys.CTRLEND));
-//		last.setToolTipText(TXMUIMessages.common_end);
-//		nextText.setImage(IImageKeys.getImage(IImageKeys.CTRLFASTFORWARD));
-//		nextText.setToolTipText(TXMUIMessages.nextText);
-//		lastText.setImage(IImageKeys.getImage(IImageKeys.CTRLFASTFORWARDEND));
-//		lastText.setToolTipText(">>|");
-//		
-//		
-//		// set listeners
-//		first.addSelectionListener(new SelectionListener() {
-//			
-//			@Override
-//			public void widgetDefaultSelected(SelectionEvent e) {
-//				firstPage();
-//			}
-//			
-//			@Override
-//			public void widgetSelected(SelectionEvent e) {
-//				firstPage();
-//			}
-//		});
-//		previous.addSelectionListener(new SelectionListener() {
-//			
-//			@Override
-//			public void widgetDefaultSelected(SelectionEvent e) {
-//				previousPage();
-//			}
-//			
-//			@Override
-//			public void widgetSelected(SelectionEvent e) {
-//				previousPage();
-//			}
-//		});
-//		next.addSelectionListener(new SelectionListener() {
-//			
-//			@Override
-//			public void widgetDefaultSelected(SelectionEvent e) {
-//				nextPage();
-//			}
-//			
-//			@Override
-//			public void widgetSelected(SelectionEvent e) {
-//				nextPage();
-//			}
-//		});
-//		last.addSelectionListener(new SelectionListener() {
-//			
-//			@Override
-//			public void widgetDefaultSelected(SelectionEvent e) {
-//				lastPage();
-//			}
-//			
-//			@Override
-//			public void widgetSelected(SelectionEvent e) {
-//				lastPage();
-//			}
-//		});
-//		nextText.addSelectionListener(new SelectionListener() {
-//			
-//			@Override
-//			public void widgetDefaultSelected(SelectionEvent e) {
-//				nextText();
-//			}
-//			
-//			@Override
-//			public void widgetSelected(SelectionEvent e) {
-//				nextText();
-//			}
-//		});
-//		// set listeners
-//		previousText.addSelectionListener(new SelectionListener() {
-//			
-//			@Override
-//			public void widgetDefaultSelected(SelectionEvent e) {
-//				previousText(false);
-//			}
-//			
-//			@Override
-//			public void widgetSelected(SelectionEvent e) {
-//				previousText(false);
-//			}
-//		});
-//		lastText.addSelectionListener(new SelectionListener() {
-//			
-//			@Override
-//			public void widgetDefaultSelected(SelectionEvent e) {
-//				lastText();
-//			}
-//			
-//			@Override
-//			public void widgetSelected(SelectionEvent e) {
-//				lastText();
-//			}
-//		});
-//		// set listeners
-//		firstText.addSelectionListener(new SelectionListener() {
-//			
-//			@Override
-//			public void widgetDefaultSelected(SelectionEvent e) {
-//				firstText();
-//			}
-//			
-//			@Override
-//			public void widgetSelected(SelectionEvent e) {
-//				firstText();
-//			}
-//		});
-//		
-//		subPanneau.pack();
-//		panneau.pack();
+		//		// set labels
+		//		page_label.setText(""); //$NON-NLS-1$
+		//		firstText.setImage(IImageKeys.getImage(IImageKeys.CTRLREWINDSTART));
+		//		firstText.setToolTipText("|<<");
+		//		previousText.setImage(IImageKeys.getImage(IImageKeys.CTRLREWIND));
+		//		previousText.setToolTipText(TXMUIMessages.previousText);
+		//		first.setImage(IImageKeys.getImage(IImageKeys.CTRLSTART));
+		//		first.setToolTipText(TXMUIMessages.common_beginning);
+		//		previous.setImage(IImageKeys.getImage(IImageKeys.CTRLREVERSE));
+		//		previous.setToolTipText(TXMUIMessages.previousPage);
+		//		next.setImage(IImageKeys.getImage(IImageKeys.CTRLPLAY));
+		//		next.setToolTipText(TXMUIMessages.nextPage);
+		//		last.setImage(IImageKeys.getImage(IImageKeys.CTRLEND));
+		//		last.setToolTipText(TXMUIMessages.common_end);
+		//		nextText.setImage(IImageKeys.getImage(IImageKeys.CTRLFASTFORWARD));
+		//		nextText.setToolTipText(TXMUIMessages.nextText);
+		//		lastText.setImage(IImageKeys.getImage(IImageKeys.CTRLFASTFORWARDEND));
+		//		lastText.setToolTipText(">>|");
+		//		
+		//		
+		//		// set listeners
+		//		first.addSelectionListener(new SelectionListener() {
+		//			
+		//			@Override
+		//			public void widgetDefaultSelected(SelectionEvent e) {
+		//				firstPage();
+		//			}
+		//			
+		//			@Override
+		//			public void widgetSelected(SelectionEvent e) {
+		//				firstPage();
+		//			}
+		//		});
+		//		previous.addSelectionListener(new SelectionListener() {
+		//			
+		//			@Override
+		//			public void widgetDefaultSelected(SelectionEvent e) {
+		//				previousPage();
+		//			}
+		//			
+		//			@Override
+		//			public void widgetSelected(SelectionEvent e) {
+		//				previousPage();
+		//			}
+		//		});
+		//		next.addSelectionListener(new SelectionListener() {
+		//			
+		//			@Override
+		//			public void widgetDefaultSelected(SelectionEvent e) {
+		//				nextPage();
+		//			}
+		//			
+		//			@Override
+		//			public void widgetSelected(SelectionEvent e) {
+		//				nextPage();
+		//			}
+		//		});
+		//		last.addSelectionListener(new SelectionListener() {
+		//			
+		//			@Override
+		//			public void widgetDefaultSelected(SelectionEvent e) {
+		//				lastPage();
+		//			}
+		//			
+		//			@Override
+		//			public void widgetSelected(SelectionEvent e) {
+		//				lastPage();
+		//			}
+		//		});
+		//		nextText.addSelectionListener(new SelectionListener() {
+		//			
+		//			@Override
+		//			public void widgetDefaultSelected(SelectionEvent e) {
+		//				nextText();
+		//			}
+		//			
+		//			@Override
+		//			public void widgetSelected(SelectionEvent e) {
+		//				nextText();
+		//			}
+		//		});
+		//		// set listeners
+		//		previousText.addSelectionListener(new SelectionListener() {
+		//			
+		//			@Override
+		//			public void widgetDefaultSelected(SelectionEvent e) {
+		//				previousText(false);
+		//			}
+		//			
+		//			@Override
+		//			public void widgetSelected(SelectionEvent e) {
+		//				previousText(false);
+		//			}
+		//		});
+		//		lastText.addSelectionListener(new SelectionListener() {
+		//			
+		//			@Override
+		//			public void widgetDefaultSelected(SelectionEvent e) {
+		//				lastText();
+		//			}
+		//			
+		//			@Override
+		//			public void widgetSelected(SelectionEvent e) {
+		//				lastText();
+		//			}
+		//		});
+		//		// set listeners
+		//		firstText.addSelectionListener(new SelectionListener() {
+		//			
+		//			@Override
+		//			public void widgetDefaultSelected(SelectionEvent e) {
+		//				firstText();
+		//			}
+		//			
+		//			@Override
+		//			public void widgetSelected(SelectionEvent e) {
+		//				firstText();
+		//			}
+		//		});
+		//		
+		//		subPanneau.pack();
+		//		panneau.pack();
 		
-//		FormLayout parentLayout = new FormLayout();
+		//		FormLayout parentLayout = new FormLayout();
 		
-//		FormData datatop = new FormData();
-//		datatop.top = new FormAttachment(0, 0);
-//		datatop.left = new FormAttachment(0, 0);
-//		datatop.right = new FormAttachment(100, 0);
-//		datatop.bottom = new FormAttachment(panneau, 0);
-//		webBrowser.setLayoutData(datatop);
+		//		FormData datatop = new FormData();
+		//		datatop.top = new FormAttachment(0, 0);
+		//		datatop.left = new FormAttachment(0, 0);
+		//		datatop.right = new FormAttachment(100, 0);
+		//		datatop.bottom = new FormAttachment(panneau, 0);
+		//		webBrowser.setLayoutData(datatop);
+		//		
+		//		FormData databottom = new FormData(200, 30);
+		//		databottom.bottom = new FormAttachment(100, 0);
+		//		databottom.left = new FormAttachment(30, -100);
+		//		databottom.right = new FormAttachment(80, 100);
+		//		panneau.setLayoutData(databottom);
+		//		
+		//		parent.setLayout(parentLayout);
+		//		parent.pack();
+		
+//		MenuManager menuManager = new MenuManager();
+//		Menu menu = menuManager.createContextMenu(getBrowser());
 //		
-//		FormData databottom = new FormData(200, 30);
-//		databottom.bottom = new FormAttachment(100, 0);
-//		databottom.left = new FormAttachment(30, -100);
-//		databottom.right = new FormAttachment(80, 100);
-//		panneau.setLayoutData(databottom);
-//		
-//		parent.setLayout(parentLayout);
-//		parent.pack();
+//		// Set the MenuManager
+//		getBrowser().setMenu(menu);
 		
-		MenuManager menuManager = new MenuManager();
-		Menu menu = menuManager.createContextMenu(getBrowser());
+		initMenu();
 		
-		// Set the MenuManager
-		getBrowser().setMenu(menu);
 		ISelectionProvider selProvider = new ISelectionProvider() {
 			
 			@Override
@@ -594,24 +743,24 @@
 		return ((String) getBrowser().evaluate(SCRIPT01));
 	}
 	
-//	public Object getWordIDsSelection() {
-//		System.out.println("WORDS IDS " + getBrowser().evaluate(SCRIPT02));
-//		return getBrowser().evaluate(SCRIPT02);
-//	}
+	//	public Object getWordIDsSelection() {
+	//		System.out.println("WORDS IDS " + getBrowser().evaluate(SCRIPT02));
+	//		return getBrowser().evaluate(SCRIPT02);
+	//	}
 	
 	public String getTextSelection() {
-		System.out.println("DOM=" + getTextSelectionDOM());
+		//System.out.println("DOM=" + getTextSelectionDOM());
 		String rez = getTextSelectionDOM().replaceAll("<[^>]+>", "");
-		System.out.println("STR=" + rez);
+		//System.out.println("STR=" + rez);
 		return rez;
 	}
 	
-//	/**
-//	 * Gets the current page.
-//	 *
-//	 * @return the current page
-//	 */
-//	public Page getCurrentPage() {
-//		return currentPage;
-//	}
+	//	/**
+	//	 * Gets the current page.
+	//	 *
+	//	 * @return the current page
+	//	 */
+	//	public Page getCurrentPage() {
+	//		return currentPage;
+	//	}
 }
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/swt/GLComposite.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/swt/GLComposite.java	(revision 3431)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/swt/GLComposite.java	(revision 3432)
@@ -34,6 +34,12 @@
 		this.name = name;
 	}
 	
+//	@Override
+//	public void dispose() {
+//		System.out.println("Disposing: "+this.name);
+//		super.dispose();
+//	}
+	
 	/**
 	 * Warning : this composite layout cannot be changed
 	 */
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/function/WordPropertiesFromTable.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/function/WordPropertiesFromTable.java	(revision 3431)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/function/WordPropertiesFromTable.java	(revision 3432)
@@ -3,7 +3,6 @@
 import java.io.File;
 import java.util.HashMap;
 
-import org.apache.commons.lang.StringUtils;
 import org.eclipse.core.commands.AbstractHandler;
 import org.eclipse.core.commands.ExecutionEvent;
 import org.eclipse.core.commands.ExecutionException;
@@ -12,7 +11,6 @@
 import org.eclipse.ui.handlers.HandlerUtil;
 import org.txm.Toolbox;
 import org.txm.rcp.handlers.scripts.ExecuteGroovyMacro;
-import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.corpus.MainCorpus;
 import org.txm.utils.logger.Log;
 
@@ -32,7 +30,7 @@
 		MainCorpus corpus = (MainCorpus)first;
 		
 		File script = new File(Toolbox.getTxmHomePath(),         "/scripts/groovy/user/org/txm/macro/annotation/ImportWordPropertiesFromTableMacro.groovy");
-		File parametersFile = new File(Toolbox.getTxmHomePath(), "/scripts/groovy/user/org/txm/macro/annotation/ImportWordPropertiesFromTableMacro.properties");
+		//File parametersFile = new File(Toolbox.getTxmHomePath(), "/scripts/groovy/user/org/txm/macro/annotation/ImportWordPropertiesFromTableMacro.properties");
 
 		HashMap<String, Object> defaultParameters = new HashMap<String, Object>();
 		defaultParameters.put("properties", "frpos,frlemma");
